<!--
 * @Description:
 * @Author: chenjiaxin
 * @Date: 2022-07-17 21:49:53
 * @LastEditTime: 2022-07-19 22:32:36
 * @FilePath: \rollup-plugin-compression\README.md
-->

# rollup-plugin-compression

#### 介绍

vite 打包构建 压缩 dist 目录为 zip 文件

# rollup-plugin-compression

## Table of Contents

- [Install](#install)
- [Usage](#usage)

## Install

```js
  npm install rollup-plugin-compression -D
```

## Usage

```js
// vite.config.ts
import compresssionBuild from "rollup-plugin-compression";
import type { ICompressionOptions } from "rollup-plugin-compression";
const option: ICompressionOptions = {
  sourceName: `dist`,
  type: "zip",
  targetName: `dist-name`,
  ignoreBase: true // 默认打包源文件夹本身,配置为true则只打包文件夹内文件  默认是false,
};
export default defineConfig({
  plugins: [vue(), compresssionBuild(option)]
});
```
